/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_USE_TYPE_DEFINITIONS
#define BGL___EVALUATE_USE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_USE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62usezd2ev_synchroniza7e1159z17zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_prog21147zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1169zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00(void);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62use1134z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00(void);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00(void);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00(void);
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00(void);
	static obj_t BGl_z62usezd2ev_hook1149zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1145zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_withzd2handler1157z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62usezd2ev_unwindzd2protec1155z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_binder1161zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_binder1163zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_global1139zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_abs1171zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_goto1167zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00(void);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit1153z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_var1137zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_labels1165zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_litt1141zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_if1143zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1735z00zz__evaluate_usez00 = BUNSPEC;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1151zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1761z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1734z00zz__evaluate_usez00,
		BgL_bgl_string1734za700za7za7_1762za7, "use1134", 7);
	      BGL_DEFINE_STRING(BGl_string1736z00zz__evaluate_usez00,
		BgL_bgl_string1736za700za7za7_1763za7, "No method for this object", 25);
	      BGL_DEFINE_STRING(BGl_string1737z00zz__evaluate_usez00,
		BgL_bgl_string1737za700za7za7_1764za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      BGL_DEFINE_STRING(BGl_string1738z00zz__evaluate_usez00,
		BgL_bgl_string1738za700za7za7_1765za7, "&use", 4);
	      BGL_DEFINE_STRING(BGl_string1739z00zz__evaluate_usez00,
		BgL_bgl_string1739za700za7za7_1766za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zz__evaluate_usez00,
		BgL_bgl_za762use1134za762za7za7_1767z00,
		BGl_z62use1134z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1741z00zz__evaluate_usez00,
		BgL_bgl_string1741za700za7za7_1768za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11769z00,
		BGl_z62usezd2ev_var1137zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1770z00,
		BGl_z62usezd2ev_global1139zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1771z00,
		BGl_z62usezd2ev_litt1141zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111772z00,
		BGl_z62usezd2ev_if1143zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1773z00,
		BGl_z62usezd2ev_list1145zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1774z00,
		BGl_z62usezd2ev_prog21147zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1775z00,
		BGl_z62usezd2ev_hook1149zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1776z00,
		BGl_z62usezd2ev_setlocal1151zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1777z00,
		BGl_z62usezd2ev_bindzd2exit1153z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1759z00zz__evaluate_usez00,
		BgL_bgl_string1759za700za7za7_1778za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1779z00,
		BGl_z62usezd2ev_unwindzd2protec1155z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1780z00,
		BGl_z62usezd2ev_withzd2handler1157z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_sync1781z00,
		BGl_z62usezd2ev_synchroniza7e1159z17zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1782z00,
		BGl_z62usezd2ev_binder1161zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1783z00,
		BGl_z62usezd2ev_binder1163zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1784z00,
		BGl_z62usezd2ev_labels1165zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1785z00,
		BGl_z62usezd2ev_goto1167zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11786z00,
		BGl_z62usezd2ev_app1169zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11787z00,
		BGl_z62usezd2ev_abs1171zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_proc1758z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_abs11787z00);
		BGL_BIND_PROCEDURE(BGl_proc1757z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_app11786z00);
		BGL_BIND_PROCEDURE(BGl_proc1756z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_goto1785z00);
		BGL_BIND_PROCEDURE(BGl_proc1755z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_labe1784z00);
		BGL_BIND_PROCEDURE(BGl_proc1754z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_bind1783z00);
		BGL_BIND_PROCEDURE(BGl_proc1753z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_bind1782z00);
		BGL_BIND_PROCEDURE(BGl_proc1752z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_sync1781z00);
		BGL_BIND_PROCEDURE(BGl_proc1751z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_with1780z00);
		BGL_BIND_PROCEDURE(BGl_proc1750z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_unwi1779z00);
		BGL_BIND_STRING(BGl_string1759z00zz__evaluate_usez00,
			BgL_bgl_string1759za700za7za7_1778za7);
		BGL_BIND_PROCEDURE(BGl_proc1749z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_bind1777z00);
		BGL_BIND_PROCEDURE(BGl_proc1748z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_setl1776z00);
		BGL_BIND_PROCEDURE(BGl_proc1747z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_hook1775z00);
		BGL_BIND_PROCEDURE(BGl_proc1746z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_prog1774z00);
		BGL_BIND_PROCEDURE(BGl_proc1745z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_list1773z00);
		BGL_BIND_PROCEDURE(BGl_proc1744z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_if111772z00);
		BGL_BIND_PROCEDURE(BGl_proc1743z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_litt1771z00);
		BGL_BIND_PROCEDURE(BGl_proc1742z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_glob1770z00);
		BGL_BIND_PROCEDURE(BGl_proc1740z00zz__evaluate_usez00,
			BgL_bgl_za762useza7d2ev_var11769z00);
		BGL_BIND_STRING(BGl_string1741z00zz__evaluate_usez00,
			BgL_bgl_string1741za700za7za7_1768za7);
		BGL_BIND_PROCEDURE(BGl_proc1733z00zz__evaluate_usez00,
			BgL_bgl_za762use1134za762za7za7_1767z00);
		BGL_BIND_STRING(BGl_string1739z00zz__evaluate_usez00,
			BgL_bgl_string1739za700za7za7_1766za7);
		BGL_BIND_STRING(BGl_string1738z00zz__evaluate_usez00,
			BgL_bgl_string1738za700za7za7_1765za7);
		BGL_BIND_STRING(BGl_string1737z00zz__evaluate_usez00,
			BgL_bgl_string1737za700za7za7_1764za7);
		BGL_BIND_STRING(BGl_string1736z00zz__evaluate_usez00,
			BgL_bgl_string1736za700za7za7_1763za7);
		BGL_BIND_STRING(BGl_string1734z00zz__evaluate_usez00,
			BgL_bgl_string1734za700za7za7_1762za7);
		BGL_BIND_PROCEDURE(BGl_usezd2envzd2zz__evaluate_usez00,
			BgL_bgl_za762useza762za7za7__eva1761z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluate_usez00));
		ADD_ROOT((void *) (&BGl_symbol1735z00zz__evaluate_usez00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_2395, char *BgL_fromz00_2396)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__evaluate_usez00();
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BGl_toplevelzd2initzd2zz__evaluate_usez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1735z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1734z00zz__evaluate_usez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1733z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1734z00zz__evaluate_usez00);
		}

	}



/* &use1134 */
	obj_t BGl_z62use1134z62zz__evaluate_usez00(obj_t BgL_envz00_2199,
		obj_t BgL_ez00_2200, obj_t BgL_donez00_2201)
	{
		{	/* Eval/evaluate_use.scm 62 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1735z00zz__evaluate_usez00,
				BGl_string1736z00zz__evaluate_usez00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2200)));
		}

	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1135z00_1182;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1719z00_1799;

					{	/* Eval/evaluate_use.scm 62 */
						long BgL_objzd2classzd2numz00_1770;

						BgL_objzd2classzd2numz00_1770 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_3));
						{	/* Eval/evaluate_use.scm 62 */
							obj_t BgL_arg1673z00_1771;

							BgL_arg1673z00_1771 =
								PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00, (int) (1L));
							{	/* Eval/evaluate_use.scm 62 */
								int BgL_offsetz00_1774;

								BgL_offsetz00_1774 = (int) (BgL_objzd2classzd2numz00_1770);
								{	/* Eval/evaluate_use.scm 62 */
									long BgL_offsetz00_1775;

									BgL_offsetz00_1775 =
										((long) (BgL_offsetz00_1774) - OBJECT_TYPE);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_modz00_1776;

										BgL_modz00_1776 =
											(BgL_offsetz00_1775 >> (int) ((long) ((int) (4L))));
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_restz00_1778;

											BgL_restz00_1778 =
												(BgL_offsetz00_1775 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Eval/evaluate_use.scm 62 */

												{	/* Eval/evaluate_use.scm 62 */
													obj_t BgL_bucketz00_1780;

													BgL_bucketz00_1780 =
														VECTOR_REF(
														((obj_t) BgL_arg1673z00_1771), BgL_modz00_1776);
													BgL_res1719z00_1799 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1780), BgL_restz00_1778);
					}}}}}}}}
					BgL_method1135z00_1182 = BgL_res1719z00_1799;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1135z00_1182,
					((obj_t) BgL_ez00_3), BgL_donez00_4);
			}
		}

	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_2202,
		obj_t BgL_ez00_2203, obj_t BgL_donez00_2204)
	{
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_2444;

				{	/* Eval/evaluate_use.scm 62 */
					bool_t BgL_test1789z00_2445;

					{	/* Eval/evaluate_use.scm 62 */
						obj_t BgL_classz00_2283;

						BgL_classz00_2283 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_2203))
							{	/* Eval/evaluate_use.scm 62 */
								BgL_objectz00_bglt BgL_arg1671z00_2285;
								long BgL_arg1672z00_2286;

								BgL_arg1671z00_2285 = (BgL_objectz00_bglt) (BgL_ez00_2203);
								BgL_arg1672z00_2286 = BGL_CLASS_DEPTH(BgL_classz00_2283);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_idxz00_2294;

										BgL_idxz00_2294 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1671z00_2285);
										{	/* Eval/evaluate_use.scm 62 */
											obj_t BgL_arg1658z00_2295;

											{	/* Eval/evaluate_use.scm 62 */
												long BgL_arg1659z00_2296;

												BgL_arg1659z00_2296 =
													(BgL_idxz00_2294 + BgL_arg1672z00_2286);
												BgL_arg1658z00_2295 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg1659z00_2296);
											}
											BgL_test1789z00_2445 =
												(BgL_arg1658z00_2295 == BgL_classz00_2283);
									}}
								else
									{	/* Eval/evaluate_use.scm 62 */
										bool_t BgL_res1760z00_2322;

										{	/* Eval/evaluate_use.scm 62 */
											obj_t BgL_oclassz00_2304;

											{	/* Eval/evaluate_use.scm 62 */
												obj_t BgL_arg1681z00_2312;
												long BgL_arg1683z00_2313;

												BgL_arg1681z00_2312 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_arg1687z00_2314;

													BgL_arg1687z00_2314 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1671z00_2285);
													BgL_arg1683z00_2313 =
														(BgL_arg1687z00_2314 - OBJECT_TYPE);
												}
												BgL_oclassz00_2304 =
													VECTOR_REF(BgL_arg1681z00_2312, BgL_arg1683z00_2313);
											}
											{	/* Eval/evaluate_use.scm 62 */
												bool_t BgL__ortest_1118z00_2305;

												BgL__ortest_1118z00_2305 =
													(BgL_classz00_2283 == BgL_oclassz00_2304);
												if (BgL__ortest_1118z00_2305)
													{	/* Eval/evaluate_use.scm 62 */
														BgL_res1760z00_2322 = BgL__ortest_1118z00_2305;
													}
												else
													{	/* Eval/evaluate_use.scm 62 */
														long BgL_odepthz00_2306;

														{	/* Eval/evaluate_use.scm 62 */
															obj_t BgL_arg1664z00_2307;

															BgL_arg1664z00_2307 = (BgL_oclassz00_2304);
															BgL_odepthz00_2306 =
																BGL_CLASS_DEPTH(BgL_arg1664z00_2307);
														}
														if ((BgL_arg1672z00_2286 < BgL_odepthz00_2306))
															{	/* Eval/evaluate_use.scm 62 */
																obj_t BgL_arg1660z00_2309;

																{	/* Eval/evaluate_use.scm 62 */
																	obj_t BgL_arg1662z00_2310;

																	BgL_arg1662z00_2310 = (BgL_oclassz00_2304);
																	BgL_arg1660z00_2309 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1662z00_2310,
																		BgL_arg1672z00_2286);
																}
																BgL_res1760z00_2322 =
																	(BgL_arg1660z00_2309 == BgL_classz00_2283);
															}
														else
															{	/* Eval/evaluate_use.scm 62 */
																BgL_res1760z00_2322 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1789z00_2445 = BgL_res1760z00_2322;
									}
							}
						else
							{	/* Eval/evaluate_use.scm 62 */
								BgL_test1789z00_2445 = ((bool_t) 0);
							}
					}
					if (BgL_test1789z00_2445)
						{	/* Eval/evaluate_use.scm 62 */
							BgL_auxz00_2444 = ((BgL_ev_exprz00_bglt) BgL_ez00_2203);
						}
					else
						{
							obj_t BgL_auxz00_2470;

							BgL_auxz00_2470 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1737z00zz__evaluate_usez00, BINT(1786L),
								BGl_string1738z00zz__evaluate_usez00,
								BGl_string1739z00zz__evaluate_usez00, BgL_ez00_2203);
							FAILURE(BgL_auxz00_2470, BFALSE, BFALSE);
						}
				}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_2444, BgL_donez00_2204);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1740z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1742z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1743z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1744z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1745z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1746z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1747z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1748z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1749z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1750z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1751z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1752z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1753z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1754z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1755z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1756z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1757z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1758z00zz__evaluate_usez00,
				BGl_string1741z00zz__evaluate_usez00);
		}

	}



/* &use-ev_abs1171 */
	obj_t BGl_z62usezd2ev_abs1171zb0zz__evaluate_usez00(obj_t BgL_envz00_2223,
		obj_t BgL_ez00_2224, obj_t BgL_donez00_2225)
	{
		{	/* Eval/evaluate_use.scm 139 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_ez00_2224)))->BgL_bodyz00),
				BgL_donez00_2225);
		}

	}



/* &use-ev_app1169 */
	obj_t BGl_z62usezd2ev_app1169zb0zz__evaluate_usez00(obj_t BgL_envz00_2226,
		obj_t BgL_ez00_2227, obj_t BgL_donez00_2228)
	{
		{	/* Eval/evaluate_use.scm 135 */
			{	/* Eval/evaluate_use.scm 137 */
				BgL_ev_exprz00_bglt BgL_arg1342z00_2325;
				obj_t BgL_arg1343z00_2326;

				BgL_arg1342z00_2325 =
					(((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_ez00_2227)))->BgL_funz00);
				{	/* Eval/evaluate_use.scm 137 */
					obj_t BgL_arg1345z00_2327;

					BgL_arg1345z00_2327 =
						(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2227)))->BgL_argsz00);
					{
						obj_t BgL_lz00_2329;
						obj_t BgL_donez00_2330;

						BgL_lz00_2329 = BgL_arg1345z00_2327;
						BgL_donez00_2330 = BgL_donez00_2228;
					BgL_useza2za2_2328:
						if (NULLP(BgL_lz00_2329))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1343z00_2326 = BgL_donez00_2330;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1248z00_2331;
								obj_t BgL_arg1249z00_2332;

								BgL_arg1248z00_2331 = CDR(((obj_t) BgL_lz00_2329));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1252z00_2333;

									BgL_arg1252z00_2333 = CAR(((obj_t) BgL_lz00_2329));
									BgL_arg1249z00_2332 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1252z00_2333),
										BgL_donez00_2330);
								}
								{
									obj_t BgL_donez00_2509;
									obj_t BgL_lz00_2508;

									BgL_lz00_2508 = BgL_arg1248z00_2331;
									BgL_donez00_2509 = BgL_arg1249z00_2332;
									BgL_donez00_2330 = BgL_donez00_2509;
									BgL_lz00_2329 = BgL_lz00_2508;
									goto BgL_useza2za2_2328;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1342z00_2325,
					BgL_arg1343z00_2326);
			}
		}

	}



/* &use-ev_goto1167 */
	obj_t BGl_z62usezd2ev_goto1167zb0zz__evaluate_usez00(obj_t BgL_envz00_2229,
		obj_t BgL_ez00_2230, obj_t BgL_donez00_2231)
	{
		{	/* Eval/evaluate_use.scm 131 */
			{	/* Eval/evaluate_use.scm 133 */
				obj_t BgL_arg1341z00_2335;

				BgL_arg1341z00_2335 =
					(((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_ez00_2230)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2337;
					obj_t BgL_donez00_2338;

					BgL_lz00_2337 = BgL_arg1341z00_2335;
					BgL_donez00_2338 = BgL_donez00_2231;
				BgL_useza2za2_2336:
					if (NULLP(BgL_lz00_2337))
						{	/* Eval/evaluate_use.scm 65 */
							return BgL_donez00_2338;
						}
					else
						{	/* Eval/evaluate_use.scm 67 */
							obj_t BgL_arg1248z00_2339;
							obj_t BgL_arg1249z00_2340;

							BgL_arg1248z00_2339 = CDR(((obj_t) BgL_lz00_2337));
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1252z00_2341;

								BgL_arg1252z00_2341 = CAR(((obj_t) BgL_lz00_2337));
								BgL_arg1249z00_2340 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1252z00_2341),
									BgL_donez00_2338);
							}
							{
								obj_t BgL_donez00_2522;
								obj_t BgL_lz00_2521;

								BgL_lz00_2521 = BgL_arg1248z00_2339;
								BgL_donez00_2522 = BgL_arg1249z00_2340;
								BgL_donez00_2338 = BgL_donez00_2522;
								BgL_lz00_2337 = BgL_lz00_2521;
								goto BgL_useza2za2_2336;
							}
						}
				}
			}
		}

	}



/* &use-ev_labels1165 */
	obj_t BGl_z62usezd2ev_labels1165zb0zz__evaluate_usez00(obj_t BgL_envz00_2232,
		obj_t BgL_ez00_2233, obj_t BgL_donez00_2234)
	{
		{	/* Eval/evaluate_use.scm 124 */
			{	/* Eval/evaluate_use.scm 126 */
				obj_t BgL_arg1333z00_2343;

				BgL_arg1333z00_2343 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_2233)))->BgL_valsz00);
				{
					obj_t BgL_lz00_2345;
					obj_t BgL_donez00_2346;

					BgL_lz00_2345 = BgL_arg1333z00_2343;
					BgL_donez00_2346 = BgL_donez00_2234;
				BgL_recz00_2344:
					if (NULLP(BgL_lz00_2345))
						{	/* Eval/evaluate_use.scm 127 */
							return
								BGl_usez00zz__evaluate_usez00(
								(((BgL_ev_labelsz00_bglt) COBJECT(
											((BgL_ev_labelsz00_bglt) BgL_ez00_2233)))->BgL_bodyz00),
								BgL_donez00_2346);
						}
					else
						{	/* Eval/evaluate_use.scm 129 */
							obj_t BgL_arg1337z00_2347;
							obj_t BgL_arg1338z00_2348;

							BgL_arg1337z00_2347 = CDR(((obj_t) BgL_lz00_2345));
							{	/* Eval/evaluate_use.scm 129 */
								obj_t BgL_arg1339z00_2349;

								{	/* Eval/evaluate_use.scm 129 */
									obj_t BgL_pairz00_2350;

									BgL_pairz00_2350 = CAR(((obj_t) BgL_lz00_2345));
									BgL_arg1339z00_2349 = CDR(BgL_pairz00_2350);
								}
								BgL_arg1338z00_2348 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1339z00_2349),
									BgL_donez00_2346);
							}
							{
								obj_t BgL_donez00_2538;
								obj_t BgL_lz00_2537;

								BgL_lz00_2537 = BgL_arg1337z00_2347;
								BgL_donez00_2538 = BgL_arg1338z00_2348;
								BgL_donez00_2346 = BgL_donez00_2538;
								BgL_lz00_2345 = BgL_lz00_2537;
								goto BgL_recz00_2344;
							}
						}
				}
			}
		}

	}



/* &use-ev_binder1163 */
	obj_t BGl_z62usezd2ev_binder1163zb0zz__evaluate_usez00(obj_t BgL_envz00_2235,
		obj_t BgL_ez00_2236, obj_t BgL_donez00_2237)
	{
		{	/* Eval/evaluate_use.scm 120 */
			{	/* Eval/evaluate_use.scm 122 */
				BgL_ev_exprz00_bglt BgL_arg1330z00_2352;
				obj_t BgL_arg1331z00_2353;

				BgL_arg1330z00_2352 =
					(((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_ez00_2236)))->BgL_bodyz00);
				{	/* Eval/evaluate_use.scm 122 */
					obj_t BgL_arg1332z00_2354;

					BgL_arg1332z00_2354 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_2236)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2356;
						obj_t BgL_donez00_2357;

						BgL_lz00_2356 = BgL_arg1332z00_2354;
						BgL_donez00_2357 = BgL_donez00_2237;
					BgL_useza2za2_2355:
						if (NULLP(BgL_lz00_2356))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1331z00_2353 = BgL_donez00_2357;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1248z00_2358;
								obj_t BgL_arg1249z00_2359;

								BgL_arg1248z00_2358 = CDR(((obj_t) BgL_lz00_2356));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1252z00_2360;

									BgL_arg1252z00_2360 = CAR(((obj_t) BgL_lz00_2356));
									BgL_arg1249z00_2359 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1252z00_2360),
										BgL_donez00_2357);
								}
								{
									obj_t BgL_donez00_2552;
									obj_t BgL_lz00_2551;

									BgL_lz00_2551 = BgL_arg1248z00_2358;
									BgL_donez00_2552 = BgL_arg1249z00_2359;
									BgL_donez00_2357 = BgL_donez00_2552;
									BgL_lz00_2356 = BgL_lz00_2551;
									goto BgL_useza2za2_2355;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1330z00_2352,
					BgL_arg1331z00_2353);
			}
		}

	}



/* &use-ev_binder1161 */
	obj_t BGl_z62usezd2ev_binder1161zb0zz__evaluate_usez00(obj_t BgL_envz00_2238,
		obj_t BgL_ez00_2239, obj_t BgL_donez00_2240)
	{
		{	/* Eval/evaluate_use.scm 116 */
			{	/* Eval/evaluate_use.scm 118 */
				BgL_ev_exprz00_bglt BgL_arg1301z00_2362;
				obj_t BgL_arg1322z00_2363;

				BgL_arg1301z00_2362 =
					(((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_ez00_2239)))->BgL_bodyz00);
				{	/* Eval/evaluate_use.scm 118 */
					obj_t BgL_arg1329z00_2364;

					BgL_arg1329z00_2364 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_2239)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2366;
						obj_t BgL_donez00_2367;

						BgL_lz00_2366 = BgL_arg1329z00_2364;
						BgL_donez00_2367 = BgL_donez00_2240;
					BgL_useza2za2_2365:
						if (NULLP(BgL_lz00_2366))
							{	/* Eval/evaluate_use.scm 65 */
								BgL_arg1322z00_2363 = BgL_donez00_2367;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1248z00_2368;
								obj_t BgL_arg1249z00_2369;

								BgL_arg1248z00_2368 = CDR(((obj_t) BgL_lz00_2366));
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1252z00_2370;

									BgL_arg1252z00_2370 = CAR(((obj_t) BgL_lz00_2366));
									BgL_arg1249z00_2369 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1252z00_2370),
										BgL_donez00_2367);
								}
								{
									obj_t BgL_donez00_2567;
									obj_t BgL_lz00_2566;

									BgL_lz00_2566 = BgL_arg1248z00_2368;
									BgL_donez00_2567 = BgL_arg1249z00_2369;
									BgL_donez00_2367 = BgL_donez00_2567;
									BgL_lz00_2366 = BgL_lz00_2566;
									goto BgL_useza2za2_2365;
								}
							}
					}
				}
				return
					BGl_usez00zz__evaluate_usez00(BgL_arg1301z00_2362,
					BgL_arg1322z00_2363);
			}
		}

	}



/* &use-ev_synchronize1159 */
	obj_t BGl_z62usezd2ev_synchroniza7e1159z17zz__evaluate_usez00(obj_t
		BgL_envz00_2241, obj_t BgL_ez00_2242, obj_t BgL_donez00_2243)
	{
		{	/* Eval/evaluate_use.scm 112 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2242)))->BgL_mutexz00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2242)))->
						BgL_prelockz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_synchroniza7eza7_bglt)
								COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2242)))->
							BgL_bodyz00), BgL_donez00_2243)));
		}

	}



/* &use-ev_with-handler1157 */
	obj_t BGl_z62usezd2ev_withzd2handler1157z62zz__evaluate_usez00(obj_t
		BgL_envz00_2244, obj_t BgL_ez00_2245, obj_t BgL_donez00_2246)
	{
		{	/* Eval/evaluate_use.scm 108 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2245)))->
					BgL_handlerz00),
				BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2245)))->
						BgL_bodyz00), BgL_donez00_2246));
		}

	}



/* &use-ev_unwind-protec1155 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1155z62zz__evaluate_usez00(obj_t
		BgL_envz00_2247, obj_t BgL_ez00_2248, obj_t BgL_donez00_2249)
	{
		{	/* Eval/evaluate_use.scm 104 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2248)))->BgL_ez00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2248)))->
						BgL_bodyz00), BgL_donez00_2249));
		}

	}



/* &use-ev_bind-exit1153 */
	obj_t BGl_z62usezd2ev_bindzd2exit1153z62zz__evaluate_usez00(obj_t
		BgL_envz00_2250, obj_t BgL_ez00_2251, obj_t BgL_donez00_2252)
	{
		{	/* Eval/evaluate_use.scm 100 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2251)))->BgL_bodyz00),
				BgL_donez00_2252);
		}

	}



/* &use-ev_setlocal1151 */
	obj_t BGl_z62usezd2ev_setlocal1151zb0zz__evaluate_usez00(obj_t
		BgL_envz00_2253, obj_t BgL_ez00_2254, obj_t BgL_donez00_2255)
	{
		{	/* Eval/evaluate_use.scm 95 */
			{	/* Eval/evaluate_use.scm 96 */
				obj_t BgL_donez00_2376;

				BgL_donez00_2376 = BgL_donez00_2255;
				{	/* Eval/evaluate_use.scm 97 */
					bool_t BgL_test1799z00_2593;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_varz00_bglt BgL_arg1278z00_2377;

						BgL_arg1278z00_2377 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2254)))->BgL_vz00);
						BgL_test1799z00_2593 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1278z00_2377), BgL_donez00_2376));
					}
					if (BgL_test1799z00_2593)
						{	/* Eval/evaluate_use.scm 97 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 97 */
							BgL_ev_varz00_bglt BgL_arg1276z00_2378;

							BgL_arg1276z00_2378 =
								(((BgL_ev_setlocalz00_bglt) COBJECT(
										((BgL_ev_setlocalz00_bglt) BgL_ez00_2254)))->BgL_vz00);
							BgL_donez00_2376 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg1276z00_2378), BgL_donez00_2376);
						}
				}
				{	/* Eval/evaluate_use.scm 98 */
					BgL_ev_exprz00_bglt BgL_arg1279z00_2379;

					BgL_arg1279z00_2379 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2254))))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1279z00_2379,
						BgL_donez00_2376);
				}
			}
		}

	}



/* &use-ev_hook1149 */
	obj_t BGl_z62usezd2ev_hook1149zb0zz__evaluate_usez00(obj_t BgL_envz00_2256,
		obj_t BgL_ez00_2257, obj_t BgL_donez00_2258)
	{
		{	/* Eval/evaluate_use.scm 91 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_ez00_2257)))->BgL_ez00),
				BgL_donez00_2258);
		}

	}



/* &use-ev_prog21147 */
	obj_t BGl_z62usezd2ev_prog21147zb0zz__evaluate_usez00(obj_t BgL_envz00_2259,
		obj_t BgL_ez00_2260, obj_t BgL_donez00_2261)
	{
		{	/* Eval/evaluate_use.scm 87 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_ez00_2260)))->BgL_e1z00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2260)))->BgL_e2z00),
					BgL_donez00_2261));
		}

	}



/* &use-ev_list1145 */
	obj_t BGl_z62usezd2ev_list1145zb0zz__evaluate_usez00(obj_t BgL_envz00_2262,
		obj_t BgL_ez00_2263, obj_t BgL_donez00_2264)
	{
		{	/* Eval/evaluate_use.scm 83 */
			{	/* Eval/evaluate_use.scm 85 */
				obj_t BgL_arg1265z00_2383;

				BgL_arg1265z00_2383 =
					(((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_ez00_2263)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2385;
					obj_t BgL_donez00_2386;

					BgL_lz00_2385 = BgL_arg1265z00_2383;
					BgL_donez00_2386 = BgL_donez00_2264;
				BgL_useza2za2_2384:
					if (NULLP(BgL_lz00_2385))
						{	/* Eval/evaluate_use.scm 65 */
							return BgL_donez00_2386;
						}
					else
						{	/* Eval/evaluate_use.scm 67 */
							obj_t BgL_arg1248z00_2387;
							obj_t BgL_arg1249z00_2388;

							BgL_arg1248z00_2387 = CDR(((obj_t) BgL_lz00_2385));
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1252z00_2389;

								BgL_arg1252z00_2389 = CAR(((obj_t) BgL_lz00_2385));
								BgL_arg1249z00_2388 =
									BGl_usez00zz__evaluate_usez00(
									((BgL_ev_exprz00_bglt) BgL_arg1252z00_2389),
									BgL_donez00_2386);
							}
							{
								obj_t BgL_donez00_2627;
								obj_t BgL_lz00_2626;

								BgL_lz00_2626 = BgL_arg1248z00_2387;
								BgL_donez00_2627 = BgL_arg1249z00_2388;
								BgL_donez00_2386 = BgL_donez00_2627;
								BgL_lz00_2385 = BgL_lz00_2626;
								goto BgL_useza2za2_2384;
							}
						}
				}
			}
		}

	}



/* &use-ev_if1143 */
	obj_t BGl_z62usezd2ev_if1143zb0zz__evaluate_usez00(obj_t BgL_envz00_2265,
		obj_t BgL_ez00_2266, obj_t BgL_donez00_2267)
	{
		{	/* Eval/evaluate_use.scm 79 */
			return
				BGl_usez00zz__evaluate_usez00(
				(((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_ez00_2266)))->BgL_pz00),
				BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_2266)))->BgL_tz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2266)))->BgL_ez00),
						BgL_donez00_2267)));
		}

	}



/* &use-ev_litt1141 */
	obj_t BGl_z62usezd2ev_litt1141zb0zz__evaluate_usez00(obj_t BgL_envz00_2268,
		obj_t BgL_ez00_2269, obj_t BgL_donez00_2270)
	{
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_2270;
		}

	}



/* &use-ev_global1139 */
	obj_t BGl_z62usezd2ev_global1139zb0zz__evaluate_usez00(obj_t BgL_envz00_2271,
		obj_t BgL_varz00_2272, obj_t BgL_donez00_2273)
	{
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_2273;
		}

	}



/* &use-ev_var1137 */
	obj_t BGl_z62usezd2ev_var1137zb0zz__evaluate_usez00(obj_t BgL_envz00_2274,
		obj_t BgL_varz00_2275, obj_t BgL_donez00_2276)
	{
		{	/* Eval/evaluate_use.scm 69 */
			{	/* Eval/evaluate_use.scm 70 */
				obj_t BgL_donez00_2394;

				BgL_donez00_2394 = BgL_donez00_2276;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								((BgL_ev_varz00_bglt) BgL_varz00_2275)), BgL_donez00_2394)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_2394 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_ev_varz00_bglt) BgL_varz00_2275)), BgL_donez00_2394);
					}
				return BgL_donez00_2394;
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00(void)
	{
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string1759z00zz__evaluate_usez00));
		}

	}

#ifdef __cplusplus
}
#endif
